package com.fp.armas.portal.model;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The primary key class for the TGENEPROVINCE database table.
 * 
 */
@Embeddable
public class TgeneprovincePK implements Serializable {
	//default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	@Column(insertable=false, updatable=false)
	private String countrycode;

	private String provincecode;

	public TgeneprovincePK() {
	}
	public String getCountrycode() {
		return this.countrycode;
	}
	public void setCountrycode(String countrycode) {
		this.countrycode = countrycode;
	}
	public String getProvincecode() {
		return this.provincecode;
	}
	public void setProvincecode(String provincecode) {
		this.provincecode = provincecode;
	}

	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof TgeneprovincePK)) {
			return false;
		}
		TgeneprovincePK castOther = (TgeneprovincePK)other;
		return 
			this.countrycode.equals(castOther.countrycode)
			&& this.provincecode.equals(castOther.provincecode);
	}

	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + this.countrycode.hashCode();
		hash = hash * prime + this.provincecode.hashCode();
		
		return hash;
	}
}